---
title: Get Bank Accounts
description: Retrieve all bank accounts registered for payout transfers.
---

This API will return all the bank accounts to where the payouts are done. You can use the 'Partner Bank ID' instead of bank account details in payout requests.

get

```
http://kraken.airpay.co.in:8000/payout/partner/bank-accounts
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| Content-Type  required | String | The Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data. | `application/json` |
| Authorization  required | String | The token is a JSON Web Token (JWT) in this example, commonly used for bearer authentication. | `JIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NT` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| offset  required | Numeric | Numeric |
| limit  required | Numeric  <br>(1-100) | Number of rows in response |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Alphanumeric | success / error | `success` |
| message  required | Alphanumeric | Response description |
| errors  required | Array | Error messages if response status is 'error' |
| data  required | Array | Response data |
| id  required | Numeric | Partner bank id | `845` |
| bank_name  required | Alphanumeric | Bank name |
| bank_account_type  required | Alphanumeric | savings / current | `savings` |
| bank_account_number  required | Numeric | Bank account number | `560002379836` |
| bank_ifsc  required | Alphanumeric | Balance IFSC code | `ICIC0094354` |

## Request Example

```
GET 'partner/bank-accounts?offset=0&limit=25'
```

### Success Response (Decrypted)

```json
{
    "status": "success",
    "message": "Bank Accounts",
    "data": [
        {
            "id": "845",
            "bank_name": "ICICI",
            "bank_account_type": "savings",
            "bank_account_number": "560002379836",
            "bank_ifsc": "ICIC0094354"
        },
        {
            "id": "846",
            "bank_name": "ICICI",
            "bank_account_type": "savings",
            "bank_account_number": "560002379835",
            "bank_ifsc": "ICIC0094354"
        }
    ]
}
```